- / +
GObject
GeglConfig

quality GParamDouble
  quality/speed trade off 1.0 = full quality, 0.0=full speed
cache-size GParamInt
  size of cache in bytes
chunk-size GParamInt
  the number of pixels processed simultaneously by GEGL.
swap GParamString
  where gegl stores it's swap files
babl-tolerance GParamDouble
  the error tolerance babl operates with
tile-width GParamInt
  default tile width for created buffers.
tile-height GParamInt
  default tile height for created buffers.

GeglModuleDB
GTypeModule
GeglModule
GeglOperation
GeglOperationFilter

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

GeglOpPlugIn-affine

origin-x GParamDouble
  X-coordinate of origin
origin-y GParamDouble
  Y-coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of lanczos function

GeglOpPlugIn-rotate

degrees GParamDouble
  Angle to rotate (clockwize)

GeglOpPlugIn-scale

x GParamDouble
  Horizontal scale factor.
y GParamDouble
  Vertical scale factor.

GeglOpPlugIn-shear

x GParamDouble
  Horizontal shear amount.
y GParamDouble
  Vertical shear amount.

GeglOpPlugIn-translate

x GParamDouble
  Horizontal translation.
y GParamDouble
  Vertical translation.

GeglOpPlugIn-reflect

x GParamDouble
  Direction vector's x component
y GParamDouble
  Direction vector's y component

GeglOpPlugIn-transform

transform GParamString
  Transformation string

GeglChantclone_c

ref GParamString
  The reference ID used as input (for use in XML).

GeglOperationPointFilter
GeglChantconvert-format_c

format GParamString
  Babl ouput format string

GeglChantbrightness-contrast_c

contrast GParamDouble
  Range scale factor
brightness GParamDouble
  Amount to increase brightness

GeglChantcolor-temperature_c

original-temperature GParamDouble
  Estimated temperature of the light source in Kelvin the image was taken with.
intended-temperature GParamDouble
  Corrected estimation of the temperature of the light source in Kelvin.

GeglChantcontrast-curve_c

sampling-points GParamInt
  Number of curve sampling points. 0 for exact calculation.
curve GeglParamCurve
  The contrast curve.

GeglChantgrey_c
GeglChantinvert_c
GeglChantlevels_c

in-low GParamDouble
  Input luminance level to become lowest output
in-high GParamDouble
  Input luminance level to become white.
out-low GParamDouble
  Lowest luminance level in output
out-high GParamDouble
  Highest luminance level in output

GeglChantsvg-huerotate_c

values GParamString
  list of <number>s

GeglChantsvg-luminancetoalpha_c

values GParamString
  list of <number>s

GeglChantsvg-matrix_c

values GParamString
  list of <number>s

GeglChantsvg-saturate_c

values GParamString
  list of <number>s

GeglChantvalue-invert_c
GeglChantwhitebalance_c

high-a-delta GParamDouble
high-b-delta GParamDouble
low-a-delta GParamDouble
low-b-delta GParamDouble
saturation GParamDouble

GeglChantcrop_c

x GParamDouble
  X
y GParamDouble
  Y
width GParamDouble
  Width
height GParamDouble
  Height

GeglChantnop_c
GeglChantshift_c

x GParamDouble
  X-axis shift
y GParamDouble
  Y-axis shift

GeglOperationAreaFilter
GeglChantbilateral-filter_c

blur-radius GParamDouble
  Radius of square pixel region, (width and height will be radius*2+1).
edge-preservation GParamDouble
  Amount of edge preservation

GeglChantbox-blur_c

radius GParamDouble
  Radius of square pixel region, (width and height will be radius*2+1).

GeglChantc2g_c

radius GParamInt
  Neighbourhood taken into account
samples GParamInt
  Number of samples to do
iterations GParamInt
  Number of iterations (length of exposure)
same-spray GParamBoolean
  Use the same spray for all pixels
rgamma GParamDouble
  Gamma applied to radial distribution
strength GParamDouble
  Amount of correction 0=none 1.0=full
gamma GParamDouble
  Post correction gamma.

GeglChantgaussian-blur_c

std-dev-x GParamDouble
  Standard deviation for the horizontal axis. (multiply by ~2 to get radius)
std-dev-y GParamDouble
  Standard deviation for the vertical axis. (multiply by ~2 to get radius.)
filter GParamString
  Optional parameter to override the automatic selection of blur filter. Choices are fir, iir, auto

GeglChantsnn-mean_c

radius GParamDouble
  Radius of square pixel region, (width and height will be radius*2+1)
pairs GParamInt
  Number of pairs; higher number preserves more acute features

GeglChantstress_c

radius GParamInt
  Neighbourhood taken into account
samples GParamInt
  Number of samples to do
iterations GParamInt
  Number of iterations (length of exposure)
same-spray GParamBoolean
  Use the same spray for all pixels
rgamma GParamDouble
  Gamma applied to radial distribution
strength GParamDouble
  Amount of correction 0=none 1.0=full
gamma GParamDouble
  Post correction gamma

GeglChantmblur_c

dampness GParamDouble
  The value represents the contribution of the past to the new frame.

GeglChantmono-mixer_c

red GParamDouble
  Amount of red
green GParamDouble
  Amount of green
blue GParamDouble
  Amount of blue

GeglChantstretch-contrast_c
GeglChantpath_c

fill GeglParamColor
  Color of paint to use for filling, use 0 opacity to disable filling.
stroke GeglParamColor
  Color of paint to use for stroking.
stroke-width GParamDouble
  The width of the brush used to stroke the path.
stroke-opacity GParamDouble
  Opacity of stroke, note, does not behave like SVG since at the moment stroking is done using an airbrush tool.
stroke-hardness GParamDouble
  hardness of brush, 0.0 for soft brush 1.0 for hard brush.
fill-rule GParamString
  how to determine what to fill (nonzero|evenodd
transform GParamString
  svg style description of transform.
fill-opacity GParamDouble
  The fill opacity to use.
d GeglParamPath
  A GeglVector representing the path of the stroke

GeglOperationSource

output GParamObject
  Ouput pad for generated image buffer.

GeglOperationPointRender
GeglChantcheckerboard_c

x GParamInt
  Horizontal width of cells pixels.
y GParamInt
  Vertical width of cells in pixels.
x-offset GParamInt
  Horizontal offset (from origin) for start of grid.
y-offset GParamInt
  Vertical offset (from origin) for start of grid.
color1 GeglParamColor
  One of the cell colors (defaults to 'black')
color2 GeglParamColor
  The other cell color (defaults to 'white')

GeglChantcolor_c

value GeglParamColor
  The color to render (defaults to 'black')

GeglChantnoise_c

alpha GParamDouble
scale GParamDouble
zoff GParamDouble
seed GParamDouble
n GParamInt

GeglChantfractal-explorer_c

width GParamInt
  Width
height GParamInt
  Height
fractaltype GParamInt
  Fractal Type
xmin GParamDouble
  Left
xmax GParamDouble
  Right
ymin GParamDouble
  Top
ymax GParamDouble
  Bottom
iter GParamInt
  Iterations
cx GParamDouble
  CX (only Julia)
cy GParamDouble
  CY (only Julia)
redstretch GParamDouble
  Red stretching factor
greenstretch GParamDouble
  Green stretching factor
bluestretch GParamDouble
  Blue stretching factor
redmode GParamInt
  Red application mode (0:SIN; 1:COS; 2:NONE)
greenmode GParamInt
  Green application mode (0:SIN; 1:COS; 2:NONE)
bluemode GParamInt
  Blue application mode (0:SIN; 1:COS; 2:NONE)
redinvert GParamBoolean
  Red inversion
greeninvert GParamBoolean
  Green inversion
blueinvert GParamBoolean
  Blue inversion
ncolors GParamInt
  Number of colors
useloglog GParamBoolean
  Use loglog smoothing

GeglChantintrospect_c

node GParamObject
  GeglNode to introspect
buf GParamPointer
  Buffer
output GParamObject
  Rendered result of intropection.
input GParamObject
  Input pad, graph of input becomes rendered.
aux GParamObject
  Dummy.

GeglChantload-buffer_c

buffer GParamObject
  The GeglBuffer to load into the pipeline

GeglChantmagick-load_c

path GeglParamFilePath
  Path of file to load.

GeglChantopen-buffer_c

path GParamString
  a GeglBuffer on disk to open

GeglChantraw-load_c

path GeglParamFilePath
  Path of file to load.

GeglChanttext_c

string GeglParamMultiline
  String to display (utf8)
font GParamString
  Font family (utf8)
size GParamDouble
  Approximate height of text in pixels.
color GeglParamColor
  Color for the text (defaults to 'white')
wrap GParamInt
  Sets the width in pixels at which long lines will wrap. Use -1 for no wrapping.
alignment GParamInt
  Alignment for multi-line text (0=Left, 1=Center, 2=Right)
width GParamInt
  Rendered width in pixels. (read only)
height GParamInt
  Rendered height in pixels. (read only)

GeglChantpng-load_c

path GeglParamFilePath
  Path of file to load.

GeglChantjpg-load_c

path GeglParamFilePath
  Path of file to load.

GeglChantsvg-load_c

path GeglParamFilePath
  Path to SVG file to load
width GParamInt
  Width for rendered image
height GParamInt
  Height for rendered image

GeglChantpixbuf_c

pixbuf GParamPointer
  GdkPixbuf to use

GeglChantexr-load_cpp

path GParamString
  Path of file to load.

GeglChantopenraw_c

path GeglParamFilePath
  Path of file to load.

GeglChantff-load_c

path GeglParamFilePath
  Path of file to load.
frame GParamInt
  frame number

GeglOperationMeta
GeglChantdifference-of-gaussians_c

radius1 GParamDouble
  Radius
radius2 GParamDouble
  Radius

GeglChantdropshadow_c

opacity GParamDouble
  Opacity
x GParamDouble
  Horizontal shadow offset.
y GParamDouble
  Vertical shadow offset.
radius GParamDouble
  Blur radius.

GeglChantload_c

path GeglParamFilePath
  Path of file to load.

GeglChantlayer_c

composite-op GParamString
  Composite operation to use
opacity GParamDouble
  Opacity
x GParamDouble
  Horizontal position
y GParamDouble
  Vertical position
scale GParamDouble
  Scale 1:1 size
src GeglParamFilePath
  Source datafile (png, jpg, raw, svg, bmp, tif, ...)

GeglChantrectangle_c

x GParamDouble
  Horizontal position
y GParamDouble
  Vertical position
width GParamDouble
  Horizontal extent
height GParamDouble
  Vertical extent
color GeglParamColor
  Color to render

GeglChanttonemap_c

radius GParamDouble
  radius
blur GParamDouble
  blur
amount GParamDouble
  amount

GeglChantunsharp-mask_c

std-dev GParamDouble
  Standard deviation (spatial scale factor)
scale GParamDouble
  Scale, strength of effect.

GeglOperationComposer

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

GeglOperationPointComposer
GeglChantopacity_c

value GParamDouble
  Global opacity value that is always used on top of the optional auxiliary input buffer.

GeglChantthreshold_c

value GParamDouble
  Global threshold level (used when there is no auxiliary input buffer).

GeglChantadd_c

value GParamDouble
  global value used if aux doesn't contain data

GeglChantclear_c
GeglChantcolor-burn_c
GeglChantcolor-dodge_c
GeglChantdarken_c
GeglChantdifference_c
GeglChantdst_c
GeglChantdivide_c

value GParamDouble
  global value used if aux doesn't contain data

GeglChantdst-atop_c
GeglChantdst-in_c
GeglChantdst-out_c
GeglChantdst-over_c
GeglChantexclusion_c
GeglChantgamma_c

value GParamDouble
  global value used if aux doesn't contain data

GeglChanthard-light_c
GeglChantlighten_c
GeglChantmultiply_c

value GParamDouble
  global value used if aux doesn't contain data

GeglChantnormal_c
GeglChantover_c
GeglChantoverlay_c
GeglChantplus_c
GeglChantscreen_c
GeglChantsoft-light_c
GeglChantsrc-atop_c
GeglChantsrc-in_c
GeglChantsrc-out_c
GeglChantsrc-over_c
GeglChantsrc_c
GeglChantsubtract_c

value GParamDouble
  global value used if aux doesn't contain data

GeglChantsvg-multiply_c
GeglChantxor_c
GeglChantremap_c
GeglOperationSink

input GParamObject
  Input pad, for image buffer input.

GeglChantsave-buffer_c

buffer GParamPointer
  The location where to store the output GeglBuffer

GeglChantwrite-buffer_c

buffer GParamObject
  Write to an existing GeglBuffer

GeglChantpng-save_c

path GParamString
  Target path and filename, use '-' for stdout.
compression GParamInt
  PNG compression level from 1 to 9
bitdepth GParamInt
  8 and 16 are amongst the currently accepted values.

GeglChantsave-pixbuf_c

pixbuf GParamPointer
  The location where to store the output GdkPixbuf.

GeglChantdisplay_c

window-title GParamString
  Title to be given to output window
icon-title GParamString
  Icon to be used for output window
screen GParamPointer
  private
w GParamInt
  private
h GParamInt
  private
width GParamInt
  private
height GParamInt
  private

GeglNode

operation GParamString
  The type of associated GeglOperation
gegl-operation GParamObject
  The associated GeglOperation instance
name GParamString
  The name of the node
dont-cache GParamBoolean
  Do not cache the result of this operation, the property is inherited by children created from a node.

GeglTileSource
GeglTileHandler

source GParamObject
  The tilestore to be a facade for

GeglBuffer

x GParamInt
  local origin's offset relative to source origin
y GParamInt
  local origin's offset relative to source origin
width GParamInt
  pixel width of buffer
height GParamInt
  pixel height of buffer
shift-x GParamInt
shift-y GParamInt
abyss-x GParamInt
abyss-y GParamInt
abyss-width GParamInt
  pixel width of abyss
abyss-height GParamInt
  pixel height of abyss
tile-width GParamInt
  width of a tile
tile-height GParamInt
  height of a tile
format GParamPointer
  babl format
px-size GParamInt
  size of a single pixel in bytes.
pixels GParamInt
  total amount of pixels in image (width x height)
path GParamString
  URI to where the buffer is stored

GeglCache

x GParamInt
  local origin's offset relative to source origin
y GParamInt
  local origin's offset relative to source origin
width GParamInt
  pixel width of buffer
height GParamInt
  pixel height of buffer
node GParamObject
  The GeglNode to cache results for

GeglTileHandlerChain
GeglTileStorage

width GParamInt
  pixel width of buffer
height GParamInt
  pixel height of buffer
tile-width GParamInt
  width of a tile in pixels
tile-height GParamInt
  height of a tile in pixels
tile-size GParamInt
  size of a tile in bytes
format GParamPointer
  babl format
px-size GParamInt
  size of a a pixel in bytes
path GParamString
  The filesystem directory with swap for this sparse tile store, NULL to make this be a heap tile_storage.

GeglTileHandlerCache
GeglTileHandlerEmpty

backend GParamObject
  backend for this tilestore (needed for tile size data)

GeglTileHandlerZoom

tile-storage GParamObject
  tile_storage for this tilestore (needed for tile size data)
backend GParamObject
  backend for this tilestore (needed for tile size data)

GeglTileBackend

tile-width GParamInt
  Tile width in pixels
tile-height GParamInt
  Tile height in pixels
px-size GParamInt
  Size of a single pixel in bytes
tile-size GParamInt
  Size of the tiles linear buffer in bytes
format GParamPointer
  babl format

GeglTileBackendRam
GeglCurve
GeglColor

string GParamString
  A String representation of the GeglColor

GeglPath
GeglPad
GeglProcessor

node GParamObject
  The GeglNode to process (will saturate the provider's cache if the provided node is a sink node)
chunksize GParamInt
  Size of chunks being rendered (larger chunks need more memory to do the processing).
progress GParamDouble
  query progress; 0.0 is not started, 1.0 is done.
rectangle GParamPointer
  The rectangle of the region to process.

GeglVisitor

id GParamPointer
  The identifier for the evaluation context

GeglPrepareVisitor
GeglHaveVisitor
GeglFinishVisitor
GeglEvalVisitor
GeglCRVisitor
GeglTile

x GParamInt
  Horizontal index
y GParamInt
  Vertical index
z GParamInt
  Pyramid level 0=100% 1=50% 2=25%
size GParamInt
  size of linear memory buffer in bytes.

GeglEvalMgr

### GObject

GObject

#### subclasses

GeglConfig
GeglModuleDB
GTypeModule
GeglOperation
GeglNode
GeglTileSource
GeglCurve
GeglColor
GeglPath
GeglPad
GeglProcessor
GeglVisitor
GeglTile
GeglEvalMgr

### GeglConfig

GObject/GeglConfig

##### Properties

quality GParamDouble
  quality/speed trade off 1.0 = full quality, 0.0=full speed
cache-size GParamInt
  size of cache in bytes
chunk-size GParamInt
  the number of pixels processed simultaneously by GEGL.
swap GParamString
  where gegl stores it's swap files
babl-tolerance GParamDouble
  the error tolerance babl operates with
tile-width GParamInt
  default tile width for created buffers.
tile-height GParamInt
  default tile height for created buffers.

### GeglModuleDB

GObject/GeglModuleDB

### GTypeModule

GObject/GTypeModule

#### subclasses

GeglModule

### GeglModule

GObject/GTypeModule/GeglModule

### GeglOperation

GObject/GeglOperation

#### subclasses

GeglOperationFilter
GeglOperationSource
GeglOperationMeta
GeglOperationComposer
GeglChantremap_c
GeglOperationSink

### GeglOperationFilter

GObject/GeglOperation/GeglOperationFilter

##### Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

#### subclasses

GeglOpPlugIn-affine
GeglChantclone_c
GeglOperationPointFilter
GeglChantcrop_c
GeglChantnop_c
GeglChantshift_c
GeglOperationAreaFilter
GeglChantmblur_c
GeglChantmono-mixer_c
GeglChantstretch-contrast_c
GeglChantpath_c

### GeglOpPlugIn-affine

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-affine

##### Properties

origin-x GParamDouble
  X-coordinate of origin
origin-y GParamDouble
  Y-coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of lanczos function

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

#### subclasses

GeglOpPlugIn-rotate
GeglOpPlugIn-scale
GeglOpPlugIn-shear
GeglOpPlugIn-translate
GeglOpPlugIn-reflect
GeglOpPlugIn-transform

### GeglOpPlugIn-rotate

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-affine/GeglOpPlugIn-rotate

##### Properties

degrees GParamDouble
  Angle to rotate (clockwize)

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
origin-x GParamDouble
  X-coordinate of origin
origin-y GParamDouble
  Y-coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of lanczos function

### GeglOpPlugIn-scale

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-affine/GeglOpPlugIn-scale

##### Properties

x GParamDouble
  Horizontal scale factor.
y GParamDouble
  Vertical scale factor.

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
origin-x GParamDouble
  X-coordinate of origin
origin-y GParamDouble
  Y-coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of lanczos function

### GeglOpPlugIn-shear

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-affine/GeglOpPlugIn-shear

##### Properties

x GParamDouble
  Horizontal shear amount.
y GParamDouble
  Vertical shear amount.

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
origin-x GParamDouble
  X-coordinate of origin
origin-y GParamDouble
  Y-coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of lanczos function

### GeglOpPlugIn-translate

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-affine/GeglOpPlugIn-translate

##### Properties

x GParamDouble
  Horizontal translation.
y GParamDouble
  Vertical translation.

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
origin-x GParamDouble
  X-coordinate of origin
origin-y GParamDouble
  Y-coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of lanczos function

### GeglOpPlugIn-reflect

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-affine/GeglOpPlugIn-reflect

##### Properties

x GParamDouble
  Direction vector's x component
y GParamDouble
  Direction vector's y component

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
origin-x GParamDouble
  X-coordinate of origin
origin-y GParamDouble
  Y-coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of lanczos function

### GeglOpPlugIn-transform

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-affine/GeglOpPlugIn-transform

##### Properties

transform GParamString
  Transformation string

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
origin-x GParamDouble
  X-coordinate of origin
origin-y GParamDouble
  Y-coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of lanczos function

### GeglChantclone_c

GObject/GeglOperation/GeglOperationFilter/GeglChantclone_c

##### Properties

ref GParamString
  The reference ID used as input (for use in XML).

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglOperationPointFilter

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

#### subclasses

GeglChantconvert-format_c
GeglChantbrightness-contrast_c
GeglChantcolor-temperature_c
GeglChantcontrast-curve_c
GeglChantgrey_c
GeglChantinvert_c
GeglChantlevels_c
GeglChantsvg-huerotate_c
GeglChantsvg-luminancetoalpha_c
GeglChantsvg-matrix_c
GeglChantsvg-saturate_c
GeglChantvalue-invert_c
GeglChantwhitebalance_c

### GeglChantconvert-format_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantconvert-format_c

##### Properties

format GParamString
  Babl ouput format string

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantbrightness-contrast_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantbrightness-contrast_c

##### Properties

contrast GParamDouble
  Range scale factor
brightness GParamDouble
  Amount to increase brightness

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantcolor-temperature_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantcolor-temperature_c

##### Properties

original-temperature GParamDouble
  Estimated temperature of the light source in Kelvin the image was taken with.
intended-temperature GParamDouble
  Corrected estimation of the temperature of the light source in Kelvin.

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantcontrast-curve_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantcontrast-curve_c

##### Properties

sampling-points GParamInt
  Number of curve sampling points. 0 for exact calculation.
curve GeglParamCurve
  The contrast curve.

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantgrey_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantgrey_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantinvert_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantinvert_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantlevels_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantlevels_c

##### Properties

in-low GParamDouble
  Input luminance level to become lowest output
in-high GParamDouble
  Input luminance level to become white.
out-low GParamDouble
  Lowest luminance level in output
out-high GParamDouble
  Highest luminance level in output

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantsvg-huerotate_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantsvg-huerotate_c

##### Properties

values GParamString
  list of <number>s

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantsvg-luminancetoalpha_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantsvg-luminancetoalpha_c

##### Properties

values GParamString
  list of <number>s

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantsvg-matrix_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantsvg-matrix_c

##### Properties

values GParamString
  list of <number>s

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantsvg-saturate_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantsvg-saturate_c

##### Properties

values GParamString
  list of <number>s

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantvalue-invert_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantvalue-invert_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantwhitebalance_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantwhitebalance_c

##### Properties

high-a-delta GParamDouble
high-b-delta GParamDouble
low-a-delta GParamDouble
low-b-delta GParamDouble
saturation GParamDouble

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantcrop_c

GObject/GeglOperation/GeglOperationFilter/GeglChantcrop_c

##### Properties

x GParamDouble
  X
y GParamDouble
  Y
width GParamDouble
  Width
height GParamDouble
  Height

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantnop_c

GObject/GeglOperation/GeglOperationFilter/GeglChantnop_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantshift_c

GObject/GeglOperation/GeglOperationFilter/GeglChantshift_c

##### Properties

x GParamDouble
  X-axis shift
y GParamDouble
  Y-axis shift

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglOperationAreaFilter

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

#### subclasses

GeglChantbilateral-filter_c
GeglChantbox-blur_c
GeglChantc2g_c
GeglChantgaussian-blur_c
GeglChantsnn-mean_c
GeglChantstress_c

### GeglChantbilateral-filter_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantbilateral-filter_c

##### Properties

blur-radius GParamDouble
  Radius of square pixel region, (width and height will be radius*2+1).
edge-preservation GParamDouble
  Amount of edge preservation

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantbox-blur_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantbox-blur_c

##### Properties

radius GParamDouble
  Radius of square pixel region, (width and height will be radius*2+1).

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantc2g_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantc2g_c

##### Properties

radius GParamInt
  Neighbourhood taken into account
samples GParamInt
  Number of samples to do
iterations GParamInt
  Number of iterations (length of exposure)
same-spray GParamBoolean
  Use the same spray for all pixels
rgamma GParamDouble
  Gamma applied to radial distribution
strength GParamDouble
  Amount of correction 0=none 1.0=full
gamma GParamDouble
  Post correction gamma.

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantgaussian-blur_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantgaussian-blur_c

##### Properties

std-dev-x GParamDouble
  Standard deviation for the horizontal axis. (multiply by ~2 to get radius)
std-dev-y GParamDouble
  Standard deviation for the vertical axis. (multiply by ~2 to get radius.)
filter GParamString
  Optional parameter to override the automatic selection of blur filter. Choices are fir, iir, auto

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantsnn-mean_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantsnn-mean_c

##### Properties

radius GParamDouble
  Radius of square pixel region, (width and height will be radius*2+1)
pairs GParamInt
  Number of pairs; higher number preserves more acute features

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantstress_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantstress_c

##### Properties

radius GParamInt
  Neighbourhood taken into account
samples GParamInt
  Number of samples to do
iterations GParamInt
  Number of iterations (length of exposure)
same-spray GParamBoolean
  Use the same spray for all pixels
rgamma GParamDouble
  Gamma applied to radial distribution
strength GParamDouble
  Amount of correction 0=none 1.0=full
gamma GParamDouble
  Post correction gamma

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantmblur_c

GObject/GeglOperation/GeglOperationFilter/GeglChantmblur_c

##### Properties

dampness GParamDouble
  The value represents the contribution of the past to the new frame.

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantmono-mixer_c

GObject/GeglOperation/GeglOperationFilter/GeglChantmono-mixer_c

##### Properties

red GParamDouble
  Amount of red
green GParamDouble
  Amount of green
blue GParamDouble
  Amount of blue

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantstretch-contrast_c

GObject/GeglOperation/GeglOperationFilter/GeglChantstretch-contrast_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantpath_c

GObject/GeglOperation/GeglOperationFilter/GeglChantpath_c

##### Properties

fill GeglParamColor
  Color of paint to use for filling, use 0 opacity to disable filling.
stroke GeglParamColor
  Color of paint to use for stroking.
stroke-width GParamDouble
  The width of the brush used to stroke the path.
stroke-opacity GParamDouble
  Opacity of stroke, note, does not behave like SVG since at the moment stroking is done using an airbrush tool.
stroke-hardness GParamDouble
  hardness of brush, 0.0 for soft brush 1.0 for hard brush.
fill-rule GParamString
  how to determine what to fill (nonzero|evenodd
transform GParamString
  svg style description of transform.
fill-opacity GParamDouble
  The fill opacity to use.
d GeglParamPath
  A GeglVector representing the path of the stroke

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglOperationSource

GObject/GeglOperation/GeglOperationSource

##### Properties

output GParamObject
  Ouput pad for generated image buffer.

#### subclasses

GeglOperationPointRender
GeglChantfractal-explorer_c
GeglChantintrospect_c
GeglChantload-buffer_c
GeglChantmagick-load_c
GeglChantopen-buffer_c
GeglChantraw-load_c
GeglChanttext_c
GeglChantpng-load_c
GeglChantjpg-load_c
GeglChantsvg-load_c
GeglChantpixbuf_c
GeglChantexr-load_cpp
GeglChantopenraw_c
GeglChantff-load_c

### GeglOperationPointRender

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

#### subclasses

GeglChantcheckerboard_c
GeglChantcolor_c
GeglChantnoise_c

### GeglChantcheckerboard_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglChantcheckerboard_c

##### Properties

x GParamInt
  Horizontal width of cells pixels.
y GParamInt
  Vertical width of cells in pixels.
x-offset GParamInt
  Horizontal offset (from origin) for start of grid.
y-offset GParamInt
  Vertical offset (from origin) for start of grid.
color1 GeglParamColor
  One of the cell colors (defaults to 'black')
color2 GeglParamColor
  The other cell color (defaults to 'white')

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChantcolor_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglChantcolor_c

##### Properties

value GeglParamColor
  The color to render (defaults to 'black')

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChantnoise_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglChantnoise_c

##### Properties

alpha GParamDouble
scale GParamDouble
zoff GParamDouble
seed GParamDouble
n GParamInt

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChantfractal-explorer_c

GObject/GeglOperation/GeglOperationSource/GeglChantfractal-explorer_c

##### Properties

width GParamInt
  Width
height GParamInt
  Height
fractaltype GParamInt
  Fractal Type
xmin GParamDouble
  Left
xmax GParamDouble
  Right
ymin GParamDouble
  Top
ymax GParamDouble
  Bottom
iter GParamInt
  Iterations
cx GParamDouble
  CX (only Julia)
cy GParamDouble
  CY (only Julia)
redstretch GParamDouble
  Red stretching factor
greenstretch GParamDouble
  Green stretching factor
bluestretch GParamDouble
  Blue stretching factor
redmode GParamInt
  Red application mode (0:SIN; 1:COS; 2:NONE)
greenmode GParamInt
  Green application mode (0:SIN; 1:COS; 2:NONE)
bluemode GParamInt
  Blue application mode (0:SIN; 1:COS; 2:NONE)
redinvert GParamBoolean
  Red inversion
greeninvert GParamBoolean
  Green inversion
blueinvert GParamBoolean
  Blue inversion
ncolors GParamInt
  Number of colors
useloglog GParamBoolean
  Use loglog smoothing

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChantintrospect_c

GObject/GeglOperation/GeglOperationSource/GeglChantintrospect_c

##### Properties

node GParamObject
  GeglNode to introspect
buf GParamPointer
  Buffer
output GParamObject
  Rendered result of intropection.
input GParamObject
  Input pad, graph of input becomes rendered.
aux GParamObject
  Dummy.

### GeglChantload-buffer_c

GObject/GeglOperation/GeglOperationSource/GeglChantload-buffer_c

##### Properties

buffer GParamObject
  The GeglBuffer to load into the pipeline

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChantmagick-load_c

GObject/GeglOperation/GeglOperationSource/GeglChantmagick-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChantopen-buffer_c

GObject/GeglOperation/GeglOperationSource/GeglChantopen-buffer_c

##### Properties

path GParamString
  a GeglBuffer on disk to open

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChantraw-load_c

GObject/GeglOperation/GeglOperationSource/GeglChantraw-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChanttext_c

GObject/GeglOperation/GeglOperationSource/GeglChanttext_c

##### Properties

string GeglParamMultiline
  String to display (utf8)
font GParamString
  Font family (utf8)
size GParamDouble
  Approximate height of text in pixels.
color GeglParamColor
  Color for the text (defaults to 'white')
wrap GParamInt
  Sets the width in pixels at which long lines will wrap. Use -1 for no wrapping.
alignment GParamInt
  Alignment for multi-line text (0=Left, 1=Center, 2=Right)
width GParamInt
  Rendered width in pixels. (read only)
height GParamInt
  Rendered height in pixels. (read only)

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChantpng-load_c

GObject/GeglOperation/GeglOperationSource/GeglChantpng-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChantjpg-load_c

GObject/GeglOperation/GeglOperationSource/GeglChantjpg-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChantsvg-load_c

GObject/GeglOperation/GeglOperationSource/GeglChantsvg-load_c

##### Properties

path GeglParamFilePath
  Path to SVG file to load
width GParamInt
  Width for rendered image
height GParamInt
  Height for rendered image

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChantpixbuf_c

GObject/GeglOperation/GeglOperationSource/GeglChantpixbuf_c

##### Properties

pixbuf GParamPointer
  GdkPixbuf to use

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChantexr-load_cpp

GObject/GeglOperation/GeglOperationSource/GeglChantexr-load_cpp

##### Properties

path GParamString
  Path of file to load.

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChantopenraw_c

GObject/GeglOperation/GeglOperationSource/GeglChantopenraw_c

##### Properties

path GeglParamFilePath
  Path of file to load.

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglChantff-load_c

GObject/GeglOperation/GeglOperationSource/GeglChantff-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.
frame GParamInt
  frame number

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.

### GeglOperationMeta

GObject/GeglOperation/GeglOperationMeta

#### subclasses

GeglChantdifference-of-gaussians_c
GeglChantdropshadow_c
GeglChantload_c
GeglChantlayer_c
GeglChantrectangle_c
GeglChanttonemap_c
GeglChantunsharp-mask_c

### GeglChantdifference-of-gaussians_c

GObject/GeglOperation/GeglOperationMeta/GeglChantdifference-of-gaussians_c

##### Properties

radius1 GParamDouble
  Radius
radius2 GParamDouble
  Radius

### GeglChantdropshadow_c

GObject/GeglOperation/GeglOperationMeta/GeglChantdropshadow_c

##### Properties

opacity GParamDouble
  Opacity
x GParamDouble
  Horizontal shadow offset.
y GParamDouble
  Vertical shadow offset.
radius GParamDouble
  Blur radius.

### GeglChantload_c

GObject/GeglOperation/GeglOperationMeta/GeglChantload_c

##### Properties

path GeglParamFilePath
  Path of file to load.

### GeglChantlayer_c

GObject/GeglOperation/GeglOperationMeta/GeglChantlayer_c

##### Properties

composite-op GParamString
  Composite operation to use
opacity GParamDouble
  Opacity
x GParamDouble
  Horizontal position
y GParamDouble
  Vertical position
scale GParamDouble
  Scale 1:1 size
src GeglParamFilePath
  Source datafile (png, jpg, raw, svg, bmp, tif, ...)

### GeglChantrectangle_c

GObject/GeglOperation/GeglOperationMeta/GeglChantrectangle_c

##### Properties

x GParamDouble
  Horizontal position
y GParamDouble
  Vertical position
width GParamDouble
  Horizontal extent
height GParamDouble
  Vertical extent
color GeglParamColor
  Color to render

### GeglChanttonemap_c

GObject/GeglOperation/GeglOperationMeta/GeglChanttonemap_c

##### Properties

radius GParamDouble
  radius
blur GParamDouble
  blur
amount GParamDouble
  amount

### GeglChantunsharp-mask_c

GObject/GeglOperation/GeglOperationMeta/GeglChantunsharp-mask_c

##### Properties

std-dev GParamDouble
  Standard deviation (spatial scale factor)
scale GParamDouble
  Scale, strength of effect.

### GeglOperationComposer

GObject/GeglOperation/GeglOperationComposer

##### Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

#### subclasses

GeglOperationPointComposer

### GeglOperationPointComposer

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

#### subclasses

GeglChantopacity_c
GeglChantthreshold_c
GeglChantadd_c
GeglChantclear_c
GeglChantcolor-burn_c
GeglChantcolor-dodge_c
GeglChantdarken_c
GeglChantdifference_c
GeglChantdst_c
GeglChantdivide_c
GeglChantdst-atop_c
GeglChantdst-in_c
GeglChantdst-out_c
GeglChantdst-over_c
GeglChantexclusion_c
GeglChantgamma_c
GeglChanthard-light_c
GeglChantlighten_c
GeglChantmultiply_c
GeglChantnormal_c
GeglChantover_c
GeglChantoverlay_c
GeglChantplus_c
GeglChantscreen_c
GeglChantsoft-light_c
GeglChantsrc-atop_c
GeglChantsrc-in_c
GeglChantsrc-out_c
GeglChantsrc-over_c
GeglChantsrc_c
GeglChantsubtract_c
GeglChantsvg-multiply_c
GeglChantxor_c

### GeglChantopacity_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantopacity_c

##### Properties

value GParamDouble
  Global opacity value that is always used on top of the optional auxiliary input buffer.

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantthreshold_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantthreshold_c

##### Properties

value GParamDouble
  Global threshold level (used when there is no auxiliary input buffer).

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantadd_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantadd_c

##### Properties

value GParamDouble
  global value used if aux doesn't contain data

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantclear_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantclear_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantcolor-burn_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantcolor-burn_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantcolor-dodge_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantcolor-dodge_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdarken_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdarken_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdifference_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdifference_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdst_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdst_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdivide_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdivide_c

##### Properties

value GParamDouble
  global value used if aux doesn't contain data

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdst-atop_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdst-atop_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdst-in_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdst-in_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdst-out_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdst-out_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdst-over_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdst-over_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantexclusion_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantexclusion_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantgamma_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantgamma_c

##### Properties

value GParamDouble
  global value used if aux doesn't contain data

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChanthard-light_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChanthard-light_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantlighten_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantlighten_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantmultiply_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantmultiply_c

##### Properties

value GParamDouble
  global value used if aux doesn't contain data

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantnormal_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantnormal_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantover_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantover_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantoverlay_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantoverlay_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantplus_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantplus_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantscreen_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantscreen_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsoft-light_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsoft-light_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsrc-atop_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsrc-atop_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsrc-in_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsrc-in_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsrc-out_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsrc-out_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsrc-over_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsrc-over_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsrc_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsrc_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsubtract_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsubtract_c

##### Properties

value GParamDouble
  global value used if aux doesn't contain data

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsvg-multiply_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsvg-multiply_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantxor_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantxor_c

##### Inherited Properties

output GParamObject
  Ouput pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantremap_c

GObject/GeglOperation/GeglChantremap_c

### GeglOperationSink

GObject/GeglOperation/GeglOperationSink

##### Properties

input GParamObject
  Input pad, for image buffer input.

#### subclasses

GeglChantsave-buffer_c
GeglChantwrite-buffer_c
GeglChantpng-save_c
GeglChantsave-pixbuf_c
GeglChantdisplay_c

### GeglChantsave-buffer_c

GObject/GeglOperation/GeglOperationSink/GeglChantsave-buffer_c

##### Properties

buffer GParamPointer
  The location where to store the output GeglBuffer

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantwrite-buffer_c

GObject/GeglOperation/GeglOperationSink/GeglChantwrite-buffer_c

##### Properties

buffer GParamObject
  Write to an existing GeglBuffer

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantpng-save_c

GObject/GeglOperation/GeglOperationSink/GeglChantpng-save_c

##### Properties

path GParamString
  Target path and filename, use '-' for stdout.
compression GParamInt
  PNG compression level from 1 to 9
bitdepth GParamInt
  8 and 16 are amongst the currently accepted values.

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantsave-pixbuf_c

GObject/GeglOperation/GeglOperationSink/GeglChantsave-pixbuf_c

##### Properties

pixbuf GParamPointer
  The location where to store the output GdkPixbuf.

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantdisplay_c

GObject/GeglOperation/GeglOperationSink/GeglChantdisplay_c

##### Properties

window-title GParamString
  Title to be given to output window
icon-title GParamString
  Icon to be used for output window
screen GParamPointer
  private
w GParamInt
  private
h GParamInt
  private
width GParamInt
  private
height GParamInt
  private

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglNode

GObject/GeglNode

##### Properties

operation GParamString
  The type of associated GeglOperation
gegl-operation GParamObject
  The associated GeglOperation instance
name GParamString
  The name of the node
dont-cache GParamBoolean
  Do not cache the result of this operation, the property is inherited by children created from a node.

### GeglTileSource

GObject/GeglTileSource

#### subclasses

GeglTileHandler
GeglTileBackend

### GeglTileHandler

GObject/GeglTileSource/GeglTileHandler

##### Properties

source GParamObject
  The tilestore to be a facade for

#### subclasses

GeglBuffer
GeglTileHandlerChain
GeglTileHandlerCache
GeglTileHandlerEmpty
GeglTileHandlerZoom

### GeglBuffer

GObject/GeglTileSource/GeglTileHandler/GeglBuffer

##### Properties

x GParamInt
  local origin's offset relative to source origin
y GParamInt
  local origin's offset relative to source origin
width GParamInt
  pixel width of buffer
height GParamInt
  pixel height of buffer
shift-x GParamInt
shift-y GParamInt
abyss-x GParamInt
abyss-y GParamInt
abyss-width GParamInt
  pixel width of abyss
abyss-height GParamInt
  pixel height of abyss
tile-width GParamInt
  width of a tile
tile-height GParamInt
  height of a tile
format GParamPointer
  babl format
px-size GParamInt
  size of a single pixel in bytes.
pixels GParamInt
  total amount of pixels in image (width x height)
path GParamString
  URI to where the buffer is stored

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

#### subclasses

GeglCache

### GeglCache

GObject/GeglTileSource/GeglTileHandler/GeglBuffer/GeglCache

##### Properties

x GParamInt
  local origin's offset relative to source origin
y GParamInt
  local origin's offset relative to source origin
width GParamInt
  pixel width of buffer
height GParamInt
  pixel height of buffer
node GParamObject
  The GeglNode to cache results for

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for
shift-x GParamInt
shift-y GParamInt
abyss-x GParamInt
abyss-y GParamInt
abyss-width GParamInt
  pixel width of abyss
abyss-height GParamInt
  pixel height of abyss
tile-width GParamInt
  width of a tile
tile-height GParamInt
  height of a tile
format GParamPointer
  babl format
px-size GParamInt
  size of a single pixel in bytes.
pixels GParamInt
  total amount of pixels in image (width x height)
path GParamString
  URI to where the buffer is stored

### GeglTileHandlerChain

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerChain

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

#### subclasses

GeglTileStorage

### GeglTileStorage

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerChain/GeglTileStorage

##### Properties

width GParamInt
  pixel width of buffer
height GParamInt
  pixel height of buffer
tile-width GParamInt
  width of a tile in pixels
tile-height GParamInt
  height of a tile in pixels
tile-size GParamInt
  size of a tile in bytes
format GParamPointer
  babl format
px-size GParamInt
  size of a a pixel in bytes
path GParamString
  The filesystem directory with swap for this sparse tile store, NULL to make this be a heap tile_storage.

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

### GeglTileHandlerCache

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerCache

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

### GeglTileHandlerEmpty

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerEmpty

##### Properties

backend GParamObject
  backend for this tilestore (needed for tile size data)

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

### GeglTileHandlerZoom

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerZoom

##### Properties

tile-storage GParamObject
  tile_storage for this tilestore (needed for tile size data)
backend GParamObject
  backend for this tilestore (needed for tile size data)

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

### GeglTileBackend

GObject/GeglTileSource/GeglTileBackend

##### Properties

tile-width GParamInt
  Tile width in pixels
tile-height GParamInt
  Tile height in pixels
px-size GParamInt
  Size of a single pixel in bytes
tile-size GParamInt
  Size of the tiles linear buffer in bytes
format GParamPointer
  babl format

#### subclasses

GeglTileBackendRam

### GeglTileBackendRam

GObject/GeglTileSource/GeglTileBackend/GeglTileBackendRam

##### Inherited Properties

tile-width GParamInt
  Tile width in pixels
tile-height GParamInt
  Tile height in pixels
px-size GParamInt
  Size of a single pixel in bytes
tile-size GParamInt
  Size of the tiles linear buffer in bytes
format GParamPointer
  babl format

### GeglCurve

GObject/GeglCurve

### GeglColor

GObject/GeglColor

##### Properties

string GParamString
  A String representation of the GeglColor

### GeglPath

GObject/GeglPath

### GeglPad

GObject/GeglPad

### GeglProcessor

GObject/GeglProcessor

##### Properties

node GParamObject
  The GeglNode to process (will saturate the provider's cache if the provided node is a sink node)
chunksize GParamInt
  Size of chunks being rendered (larger chunks need more memory to do the processing).
progress GParamDouble
  query progress; 0.0 is not started, 1.0 is done.
rectangle GParamPointer
  The rectangle of the region to process.

### GeglVisitor

GObject/GeglVisitor

##### Properties

id GParamPointer
  The identifier for the evaluation context

#### subclasses

GeglPrepareVisitor
GeglHaveVisitor
GeglFinishVisitor
GeglEvalVisitor
GeglCRVisitor

### GeglPrepareVisitor

GObject/GeglVisitor/GeglPrepareVisitor

##### Inherited Properties

id GParamPointer
  The identifier for the evaluation context

### GeglHaveVisitor

GObject/GeglVisitor/GeglHaveVisitor

##### Inherited Properties

id GParamPointer
  The identifier for the evaluation context

### GeglFinishVisitor

GObject/GeglVisitor/GeglFinishVisitor

##### Inherited Properties

id GParamPointer
  The identifier for the evaluation context

### GeglEvalVisitor

GObject/GeglVisitor/GeglEvalVisitor

##### Inherited Properties

id GParamPointer
  The identifier for the evaluation context

### GeglCRVisitor

GObject/GeglVisitor/GeglCRVisitor

##### Inherited Properties

id GParamPointer
  The identifier for the evaluation context

### GeglTile

GObject/GeglTile

##### Properties

x GParamInt
  Horizontal index
y GParamInt
  Vertical index
z GParamInt
  Pyramid level 0=100% 1=50% 2=25%
size GParamInt
  size of linear memory buffer in bytes.

### GeglEvalMgr

GObject/GeglEvalMgr